EUARE-ACCOUNTCREATE(1)

NAME
euare-accountcreate - [Eucalyptus cloud admin only] Create a new account

SYNOPSIS
euare-accountcreate [-k] [-w] [-d DOMAIN] [-l] [--show-empty-fields]

[-U URL] [--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] [ACCOUNT]

DESCRIPTION
[Eucalyptus cloud admin only] Create a new account

  positional arguments:

ACCOUNT
    also add an alias (name) to the new account (required on eucalyptus < 4.2)

  optional arguments:

-k, --create-accesskey
    also create an access key for the new account's administrator and show it

-w, --write-config
    output access keys and region information in the form of a euca2ools.ini(5) configuration file instead of by themselves (implies -k)

-d DOMAIN, --domain DOMAIN
    the DNS domain to use for region information in configuration file output (default: based on IAM URL)

-l, --set-default-user
    set this user as the default user for the region in euca2ools.ini(5) configuration file output. This option is only useful when used with -w.

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit